LibreOffice LibreOffice 25.2 SDK API Reference

Variables
com::sun::star::util::SearchAlgorithms2 Constant Group Reference

Constants that define the search algorithm to be used with com::sun::star::util::SearchOptions2::SearchAlgorithms2. More...

## Variables
const short | ABSOLUTE = 1
| Literal. More...
const short | REGEXP = 2
| Regular expression. More...
const short | APPROXIMATE = 3
| Weighted Levenshtein Distance. More...
const short | WILDCARD = 4
| Wildcards '*' and '?' An escape character is defined by setting com::sun::star::util::SearchOptions2::WildcardEscapeCharacter. More...

## Detailed Description

Constants that define the search algorithm to be used with com::sun::star::util::SearchOptions2::SearchAlgorithms2.

Since
  LibreOffice 5.2

## Variable Documentation

## ◆ ABSOLUTE

const short ABSOLUTE = 1

Literal.

## ◆ APPROXIMATE

const short APPROXIMATE = 3

Weighted Levenshtein Distance.

## ◆ REGEXP

const short REGEXP = 2

Regular expression.

## ◆ WILDCARD

const short WILDCARD = 4

Wildcards '*' and '?' An escape character is defined by setting com::sun::star::util::SearchOptions2::WildcardEscapeCharacter.